Last Comment Bug 595482 - REFTEST TEST-UNEXPECTED-FAIL | layout/reftests/svg/as-image/img-width-slice-1.html, img-width-slice-2.html, list-simple-1.html
: REFTEST TEST-UNEXPECTED-FAIL | layout/reftests/svg/as-image/img-width-slice-1...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 633072
Blocks: 438871
  Show dependency treegraph
 
Reported: 2010-09-11 04:30 PDT by Brian Birtles (:birtles)
Modified: 2012-11-25 19:31 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
reftest log for comment 0 (71.71 KB, text/plain)
2010-10-17 23:03 PDT, Daniel Holbert [:dholbert]
no flags Details
reftest log for comment 4 (25.11 KB, text/plain)
2010-10-23 11:47 PDT, Daniel Holbert [:dholbert]
no flags Details

Description Brian Birtles (:birtles) 2010-09-11 04:30:05 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1284194261.1284195529.23011.gz
Rev3 Fedora 12 mozilla-central debug test reftest on 2010/09/11 01:37:41

s: talos-r3-fed-026
REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/mozilla-central_fedora-debug_test-reftest/build/reftest/tests/layout/reftests/svg/image/img-width-slice-1.html |
REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/mozilla-central_fedora-debug_test-reftest/build/reftest/tests/layout/reftests/svg/image/img-width-slice-2.html |
REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/mozilla-central_fedora-debug_test-reftest/build/reftest/tests/layout/reftests/svg/image/list-simple-1.html |
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
Comment 1 Daniel Holbert [:dholbert] 2010-09-11 17:27:00 PDT
Unless I'm missing something, the crash in the log here is just the normal (expected) Plugin-crashing test. (libnptest.so!IntentionalCrash)  The tinderbox log-highlighter often highlights it as a possible issue, but it's expected.
Comment 2 Jesse Ruderman 2010-10-17 19:49:46 PDT
[c6fa2ae426d4] Test has moved to layout/reftests/svg/as-image/list-simple-1.html
Comment 3 Daniel Holbert [:dholbert] 2010-10-17 23:03:39 PDT
Created attachment 483912 [details]
reftest log for comment 0

Attaching the reftest failures, so we'll still have them when the tinderbox log expires.

I can't really tell what was going on here, but I tend to think it was a fluke.

Both the testcase & reference case look corrupted in each of the failures.  The third failure in particular looks suspicious -- it's a list with "abc" and "def", and even in the reference case (which uses no SVG at all), the tops of the letters are chopped off and positioned below them.  URL for that reference case is http://mxr.mozilla.org/mozilla-central/source/layout/reftests/svg/as-image/list-simple-1-ref.html?force=1 -- it's pretty basic and should not have that rendering glitch.

So, I tend to think something was sporadically wonky either on this test box or on mozilla-central at the time that these failures occurred.  I'm leaving this open in case this happens again, but I think/hope this was just a one-off.
Comment 4 Treeherder Robot 2010-10-23 07:17:29 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1287813828.1287815463.755.gz
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test reftest on 2010/10/22 23:03:48

s: talos-r3-leopard-047
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/tracemonkey_leopard-o-debug_test-reftest/build/reftest/tests/layout/reftests/svg/as-image/list-simple-1.html |
Comment 5 Daniel Holbert [:dholbert] 2010-10-23 11:47:23 PDT
Created attachment 485514 [details]
reftest log for comment 4

so in this reftest log, the testcase is correct, but the *reference case* is broken.

It's got a list with list-style-image: {png file}, but in this failure, it's showing black dots instead of the list-style-image.

Perhaps that means onload can fire (triggering the reftest snapshot) before the list-style-image has finished loading...?
Comment 6 Treeherder Robot 2010-10-24 14:01:29 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1287951637.1287952450.2383.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central opt test reftest on 2010/10/24 13:20:37

s: talos-r3-leopard-049
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/mozilla-central_leopard_test-reftest/build/reftest/tests/layout/reftests/svg/as-image/list-simple-1.html |
Comment 7 Treeherder Robot 2011-01-26 10:43:21 PST
ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1296059972.1296061491.28004.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test reftest on 2011/01/26 08:39:32

s: talos-r3-snow-021
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/502288-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/513153-1a.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/513153-1b.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/526463-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/content/test/reftest/bug591981-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/font-face/ex-unit-1-dynamic.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-height-meet-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-height-slice-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-width-meet-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-width-slice-2.html | image comparison (==)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
Comment 8 Treeherder Robot 2011-01-26 11:29:27 PST
cjones
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1296068219.1296069796.6283.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test reftest on 2011/01/26 10:56:59

s: talos-r3-snow-052
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-height-meet-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-height-slice-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-width-meet-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-width-slice-2.html | image comparison (==)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
Comment 9 Treeherder Robot 2011-01-26 11:53:49 PST
cjones
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1296069792.1296071342.14249.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test reftest on 2011/01/26 11:23:12

s: talos-r3-snow-049
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/content/test/reftest/bug591981-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-height-meet-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-height-slice-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-width-meet-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-width-slice-2.html | image comparison (==)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
Comment 10 Treeherder Robot 2011-01-26 12:51:49 PST
dholbert%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1296072989.1296074539.30858.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test reftest on 2011/01/26 12:16:29

s: talos-r3-snow-017
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/content/test/reftest/bug591981-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-height-meet-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-height-slice-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-width-meet-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-width-slice-2.html | image comparison (==)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
Comment 11 Treeherder Robot 2011-01-26 13:08:57 PST
ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1296073626.1296075379.2858.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test reftest on 2011/01/26 12:27:06

s: talos-r3-snow-035
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/content/test/reftest/bug591981-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-height-meet-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-height-slice-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-width-meet-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-width-slice-2.html | image comparison (==)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
Comment 12 Treeherder Robot 2011-01-26 13:10:14 PST
cjones
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1296070788.1296072391.19791.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test reftest on 2011/01/26 11:39:48

s: talos-r3-snow-041
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/content/test/reftest/bug591981-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-height-meet-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-height-slice-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-width-meet-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-width-slice-2.html | image comparison (==)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
Comment 13 Treeherder Robot 2011-01-27 12:56:22 PST
jwatt%jwatt.org
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1296135342.1296136869.32507.gz
Rev3 MacOSX Snow Leopard 10.6.2 tryserver debug test reftest on 2011/01/27 05:35:42

s: talos-r3-snow-038
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/502288-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/513153-1a.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/513153-1b.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/526463-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/content/test/reftest/bug591981-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/font-face/ex-unit-1-dynamic.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-height-meet-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-height-slice-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-width-meet-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/img-width-slice-2.html | image comparison (==)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
Comment 14 Daniel Holbert [:dholbert] 2011-01-27 13:03:49 PST
Disregard comment 7 through comment 13 -- those are bug 629143. (near-permaorange in a number of tests on OS X 10.6.2 with layers acceleration enabled)
Comment 15 Treeherder Robot 2011-02-11 00:08:43 PST
cjones
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1297404018.1297404771.25602.gz
Rev3 MacOSX Snow Leopard 10.6.2 tryserver opt test reftest on 2011/02/10 22:00:18

s: talos-r3-snow-048
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/list-simple-1.html | image comparison (==)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
Comment 16 Treeherder Robot 2011-03-30 02:53:05 PDT
surkov.alexander%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Cedar/1301476700.1301477725.2047.gz
Rev3 MacOSX Snow Leopard 10.6.2 cedar opt test reftest on 2011/03/30 02:18:20

s: talos-r3-snow-006
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/svg/as-image/list-simple-1.html | image comparison (==)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
Comment 17 Robert Longson 2011-05-15 03:19:46 PDT
Fixed by check in for bug 633072

Note You need to log in before you can comment on or make changes to this bug.